=== debian/changelog ===
plasma-discover (5.14.5.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:07:25 +0800

plasma-discover (5.14.5.1-1) unstable; urgency=medium

  * New upstream bugfix release (5.14.5.1).
    - Set parent on newly created fwupd resource (baac08a4)
      Fixes upstream bug 402328 (https://bugs.kde.org/show_bug.cgi?id=402328)
    - Add a timeout for KNS backends (003fc9fc)
      Fixes upstream bug 399981 (https://bugs.kde.org/show_bug.cgi?id=399981)
    - Translations update (125dca7b)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Feb 2019 18:39:04 +0100

plasma-discover (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:05 -0300

plasma-discover (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:04 -0300
