## plasma-discover 5.15.4

=== debian/changelog ===
plasma-discover (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:08:40 +0100

plasma-discover (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:08 +0000

plasma-discover (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:11:41 +0000

plasma-discover (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:32:39 +0000

plasma-discover (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:12 +0000

plasma-discover (5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:30 +0000

plasma-discover (5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:32 +0000

plasma-discover (5.14.4-0ubuntu1) disco; urgency=medium

  * Install debug categories file.
  * Don't build FwupdBackend for backports until better tested.
  * New upstream release (5.13.90)
  * Drop upstream applied patches:
    - upstream_fix-sources-editor-menu.patch
    - upstream_software-properties-qt.patch
    - upstream_fix-showing-update-notification.patch
    - upstream_fix-missing-backends.patch
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * Install flatpak-discover.svgz to its backend package.
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:36 +0000

plasma-discover (5.13.5-1ubuntu7) disco; urgency=medium

  * Backport upstream patch ensuring that snap installation transactions
    correctly register as finished in the UI. (LP: #1801863)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 08 Nov 2018 11:02:49 +0000
