## plasma-discover 5.16.5

=== debian/changelog ===
plasma-discover (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:19 +0100

plasma-discover (5.16.4-0ubuntu1) eoan; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Prepare the packaging for package renaming, following debian names:
    - add "new" package plasma-discover-backend-flatpak
    - add "new" package plasma-discover-backend-snap
    - add transitional dummy package plasma-discover-flatpak-backend
    - add transitional dummy package plasma-discover-snap-backend
    - adjust debian/rules for the renaming

  [ Rik Mills ]
  * New upstream release (5.16.4)
  * Update Breaks/Replaces.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:07 +0100

plasma-discover (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)
  * debian/patches: fix-appstream-data.patch
    - Drop, applied upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:28 +0100

plasma-discover (5.16.2-0ubuntu1) eoan; urgency=medium

  * Tweak appstream dependencies as latest is not required.
  * New upstream release (5.16.2)
  * debian/patches: fix-appstream-data.patch
    - Add to fix mistakenly malformed data in this release.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:21 +0100

plasma-discover (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:22:45 +0100

plasma-discover (5.16.0-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against flatpak v1.4.1, following reversion of ABI
    break.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Jun 2019 05:08:19 +0100

plasma-discover (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:08 +0100

plasma-discover (5.15.90-0ubuntu2) eoan; urgency=medium

  * Move dbus policy file to new location.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 21:44:56 +0100

plasma-discover (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:14 +0100

plasma-discover (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:10 +0100
