=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,11 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/discover* -V
 
+override_dh_shlibdeps:
+	dh_shlibdeps -pplasma-discover -- -xlibappstreamqt2
+	dh_shlibdeps -pplasma-discover-backend-flatpak -- -xlibappstreamqt2
+	dh_shlibdeps --remaining-packages
+
 override_dh_missing:
 	dh_missing --fail-missing
